$(document).ready(function() {

    /**** datepicker ****/

    $('#datetimepicker1').datetimepicker({ useCurrent: false, locale: 'fr',format: 'DD/MM/YYYY' });
    $('#datetimepicker2').datetimepicker({ useCurrent: false, locale: 'fr',format: 'DD/MM/YYYY' });
    $("#datetimepicker2").on("dp.change",function (e) {
        $('#datetimepicker1').data("DateTimePicker").maxDate(e.date);
        $("#optionsRadios0").prop('checked',false);
        $("#optionsRadios1").prop('checked',false);
        $("#optionsRadios2").prop('checked',false);
        $("#optionsRadios3").prop('checked',false);
        $("#optionsRadiosRetourEnImage1").prop('checked',false);
        $("#optionsRadiosRetourEnImage2").prop('checked',false);
        $("#optionsRadiosRetourEnImage3").prop('checked',false);
    });
    $("#datetimepicker1").on("dp.change",function (e) {
        $('#datetimepicker2').data("DateTimePicker").minDate(e.date);
        $("#optionsRadios0").prop('checked',false);
        $("#optionsRadios1").prop('checked',false);
        $("#optionsRadios2").prop('checked',false);
        $("#optionsRadios3").prop('checked',false);
        $("#optionsRadiosRetourEnImage1").prop('checked',false);
        $("#optionsRadiosRetourEnImage2").prop('checked',false);
        $("#optionsRadiosRetourEnImage3").prop('checked',false);
    });

    if($("#datetimepicker").length) {
        $.datepicker.regional['fr'] = {
            closeText: 'Fermer',
            currentText: 'Courant',
            monthNames: ['Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin',
                'Juillet', 'Août', 'Septembre', 'Octobre', 'Novembre', 'Décembre'],
            monthNamesShort: ['Jan', 'Fév', 'Mar', 'Avr', 'Mai', 'Jun',
                'Jul', 'Aoû', 'Sep', 'Oct', 'Nov', 'Déc'],
            dayNames: ['Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi'],
            dayNamesShort: ['Dim', 'Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam'],
            dayNamesMin: ['Dim', 'Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam'],
            weekHeader: 'Sm',
            //dateFormat: 'dd/mm/yy',
            dateFormat: 'dd/mm/yy',

            todayHighlight: true
        };
        $.datepicker.setDefaults($.datepicker.regional['fr']);
        var date_input_du = $('#du').val();
        var date_input_au = $('#au').val();
        var _default_date = '';
        if (date_input_du === date_input_au){
            _default_date = date_input_du;
        }

        $("#datetimepicker").datepicker({
            defaultDate: _default_date,
            onSelect: function(dateStr) {
                var date = $(this).datepicker('getDate');
                if (date) {
                    var date = $.datepicker.formatDate('dd/mm/yy', date);
                    $("input#du").val(date);
                    $("input#au").val(date);
                    $("#optionsRadios0").prop('checked',false);
                    $("#optionsRadios1").prop('checked',false);
                    $("#optionsRadios2").prop('checked',false);
                    $("#optionsRadios3").prop('checked',false);
                    $("#optionsRadiosRetourEnImage1").prop('checked',false);
                    $("#optionsRadiosRetourEnImage2").prop('checked',false);
                    $("#optionsRadiosRetourEnImage3").prop('checked',false);
                }
            }

        });
    }
    if($("#optionsRadios0").is(":checked")){
        var curr = new Date;
        $("input#du").val('');
        $("input#au").val('');
    }
    if($("#optionsRadios1").is(":checked")){
        var curr = new Date;
        $("input#du").val($.datepicker.formatDate('dd/mm/yy', new Date(curr.setDate(curr.getDate() - curr.getDay()+6))));
        $("input#au").val($.datepicker.formatDate('dd/mm/yy', new Date(curr.setDate(curr.getDate() - curr.getDay()+7))));
    }
    if($("#optionsRadios2").is(":checked")){
        var date = new Date();
        $("input#du").val($.datepicker.formatDate('dd/mm/yy', date));
        date.setDate(date.getDate() + 7); // Add 7 days
        $("input#au").val($.datepicker.formatDate('dd/mm/yy', date));
    }
    if($("#optionsRadios3").is(":checked")){
        var today = new Date();
        $("input#du").val($.datepicker.formatDate('dd/mm/yy', new Date(today.getFullYear(),today.getMonth(), 1)));
        $("input#au").val($.datepicker.formatDate('dd/mm/yy', new Date(today.getFullYear(),today.getMonth()+1, 0)));

    }
    // retour en image
    if($("#optionsRadiosRetourEnImage1").is(":checked")){
        var curr = new Date;
        $("input#du").val($.datepicker.formatDate('dd/mm/yy', new Date(curr.setDate(curr.getDate() - curr.getDay()-1))));
        $("input#au").val($.datepicker.formatDate('dd/mm/yy', new Date(curr.setDate(curr.getDate() - curr.getDay() +7))));
    }
    if($("#optionsRadiosRetourEnImage2").is(":checked")){
        var date = new Date();
        $("input#au").val($.datepicker.formatDate('dd/mm/yy', date));
        date.setDate(date.getDate() - 7); // - 7 days
        $("input#du").val($.datepicker.formatDate('dd/mm/yy', date));
    }
    if($("#optionsRadiosRetourEnImage3").is(":checked")){
        var today = new Date();
        $("input#au").val($.datepicker.formatDate('dd/mm/yy', new Date()));
        today.setDate(today.getDate() - 30); // - 30days
        $("input#du").val($.datepicker.formatDate('dd/mm/yy', today));

    }
    $('.radio-group input:radio').click(function() {
        if ($(this).val() === '0') {
            var curr = new Date;
            $("input#du").val('');
            $("input#au").val('');
        } else if ($(this).val() === '1') {
            var curr = new Date;
            $("input#du").val($.datepicker.formatDate('dd/mm/yy', new Date(curr.setDate(curr.getDate() - curr.getDay()+6))));
            $("input#au").val($.datepicker.formatDate('d/mm/yy', new Date(curr.setDate(curr.getDate() - curr.getDay()+7))));
        } else if ($(this).val() === '2') {
            var date = new Date();
            $("input#du").val($.datepicker.formatDate('dd/mm/yy', date));
            date.setDate(date.getDate() + 7); // Add 7 days
            $("input#au").val($.datepicker.formatDate('dd/mm/yy', date));
        } else if ($(this).val() === '3') {
            var today = new Date();
            $("input#du").val($.datepicker.formatDate('dd/mm/yy', new Date(today.getFullYear(),today.getMonth(), 1)));
            $("input#au").val($.datepicker.formatDate('dd/mm/yy', new Date(today.getFullYear(),today.getMonth()+1, 0)));
        } else if ($(this).val() === '4') {
            var curr = new Date();
            $("input#du").val($.datepicker.formatDate('dd/mm/yy', new Date(curr.setDate(curr.getDate() - curr.getDay()-1))));
            $("input#au").val($.datepicker.formatDate('dd/mm/yy', new Date(curr.setDate(curr.getDate() - curr.getDay() +7))));
        } else if ($(this).val() === '5') {
            var date = new Date();
            $("input#au").val($.datepicker.formatDate('dd/mm/yy', date));
            date.setDate(date.getDate() - 7); // - 7 days
            $("input#du").val($.datepicker.formatDate('dd/mm/yy', date));
        } else if ($(this).val() === '6') {
            var today = new Date();
            $("input#au").val($.datepicker.formatDate('dd/mm/yy', new Date()));
            today.setDate(today.getDate() - 30); // - 7 days
            $("input#du").val($.datepicker.formatDate('dd/mm/yy', today));
        }
    });


}());
